﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using TechED_Demo.Utility.ExtenMethods;
using TechED_Demo.Web.Data;

namespace TechED_Demo.Web.Controls
{
    public partial class AddNew : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                int id;
                int.TryParse(Request.QueryString["id"], out id);
                if (id > 0)
                {
                    TestDBEntities tDb = new TestDBEntities();
                    this.ReadAllPropertyToTextBox<News>(tDb.News.First<News>(it => it.Id == id));
                }
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            var nNews = this.WriteAllPropertyFromTextBox<News>();
            TestDBEntities tDb = new TestDBEntities();
            tDb.AddToNews(nNews);
            tDb.SaveChanges();
        }
    }
}