﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TechED_Demo.Utility.UI
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:EntityTextBox runat=server></{0}:EntityTextBox>")]
    public class EntityTextBox : TextBox
    {
        [Category("Entity")]
        public string EntityType
        {
            get
            {
                String s = (String)ViewState["EntityType"];
                return ((s == null) ? String.Empty : s);
            }

            set
            {
                ViewState["EntityType"] = value;
            }
        }

        [Category("Entity")]
        public string EntityPropertyName
        {
            get
            {
                String s = (String)ViewState["EntityPropertyName"];
                return ((s == null) ? this.ID.Substring(3) : s);
            }

            set
            {
                ViewState["EntityPropertyName"] = value;
            }
        }

        [Category("Entity")]
        public string EntityPropertyValueFormat
        {
            get
            {
                String s = (String)ViewState["EntityPropertyValueFormat"];
                return ((s == null) ? string.Empty : s);
            }

            set
            {
                ViewState["EntityPropertyValueFormat"] = value;
            }
        }

    }
}
