﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Reflection;

namespace TechED_Demo.Web.Controls
{
    public partial class AutoPost : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string headFormat = "<td><input type=\"text\" style=\"width:100px;text-align:center;\" value=\"{0}\" /></td>";
                string headLinkFormat = "<td><a href=\"javascript:void(0);\" onclick=\"chooseall();\">{0}</a></td>";
                string bodyFormat = "<td align=\"center\"><input type=\"text\" fieldName=\"{0}\" style=\"width:100px;text-align:center;\" /></td>";

                var plist = Type.GetType(ModelTypeName).GetProperties();
                List<string> list = new List<string>();
                foreach (var item in plist)
                {
                    list.Add(item.Name);
                }

                StringBuilder sbHeadFormat = new StringBuilder();
                foreach (var item in list)
                {
                    sbHeadFormat.AppendFormat(headFormat, item);
                }

                StringBuilder sbHeadLinkFormat = new StringBuilder();
                foreach (var item in list)
                {
                    sbHeadLinkFormat.AppendFormat(headLinkFormat, item);
                }

                StringBuilder sbBodyFormat = new StringBuilder();
                foreach (var item in list)
                {
                    sbBodyFormat.AppendFormat(bodyFormat, item);
                }

                litHead.Text = sbHeadFormat.ToString();
                litHeadLink.Text = sbHeadLinkFormat.ToString();
                litBody.Text = sbBodyFormat.ToString();
            }
        }

        public string ModelTypeName
        {
            get;
            set;
        }
    }
}