﻿// 获取指定Id的对象
function $(id) {
    return document.getElementById(id);
}

//获取数组中某元素的索引
if (!Array.prototype.indexOf) {
    Array.prototype.indexOf = function(item, i) {
        i || (i = 0);
        var length = this.length;
        if (i < 0) i = length + i;
        for (; i < length; i++)
            if (this[i] === item) return i;
        return -1;
    }
};

//对数组元素进行迭代
if (!Array.prototype.forEach) {
    Array.prototype.forEach = function(fun /*, thisp*/) {
        var len = this.length;
        if (typeof fun != "function")
            throw new TypeError();
        var thisp = arguments[1];
        for (var i = 0; i < len; i++) {
            if (i in this)
                fun.call(thisp, this[i], i, this);
        }
    };
}

//给document添加getElementsByClassName方法返回一个对象集合
document.getElementsByClassName = function(className, parentElement) {
    var elems = ($(parentElement) || document.body).getElementsByTagName("*");
    var result = [];
    for (i = 0; j = elems[i]; i++) {
        if (j.className.split(/(\s+)/).indexOf(className) != -1) {
            result.push(j);
        }
    }
    return result;
};

function sleep(delay) {
    setTimeout(function() { }, delay);
}

//点击全选框的选中/或者取消选中指定组内的复选框
function CA(allbox, cbgroup) {
    var trk = 0;
    var form_1 = allbox.form;
    for (var i = 0; i < form_1.elements.length; i++)
	{
	    var e = form_1.elements[i];
		if ((e.type=='checkbox') && (e.name.startsWith(cbgroup)))
		{
			trk++;
			e.checked=allbox.checked;
		}
	}
}

//点击指定组内的复选框，确定全选框的选中状态
function CCA(allbox,cbgroup)
{
    allbox = $(allbox);
    var form_1 = allbox.form;
	var TB=TO=0;
	for (var i = 0; i < form_1.elements.length; i++)
	{
	    var e = form_1.elements[i];
		if ((e.name.startsWith(cbgroup)) && (e.type=='checkbox'))
		{
			TB++;
			if (e.checked)
				TO++;
		}
	}
	allbox.checked=(TO==TB)?true:false;
}

//判断字符串是否以某字符串开始
String.prototype.startsWith = function(startWith) {
    var len = startWith.length;

    if (this.substring(0, len) == startWith) {
        return true;
    }
    else {
        return false;
    }
};

//判断字符串是否以某字符串开始，且忽略大小写
String.prototype.startsWithIgnoreCase = function(startWith) {
    var strCopy = this.toLowerCase();
    var len = startWith.length;

    if (this.substring(0, len) == startWith.toLowerCase()) {
        return true;
    }
    else {
        return false;
    }
};

//判断字符串是否以某字符串结束
String.prototype.endsWith = function(endWith) {
    if (this.substring(this.indexOf(endWith)) == endWith) {
        return true;
    }
    else {
        return false;
    }
};

//判断字符串是否以某字符串结束，且忽略大小写
String.prototype.endsWithIgnoreCase = function(endWith) {
    var strCopy = this.toLowerCase();
    
    if (strCopy.substring(strCopy.indexOf(endWith.toLowerCase())).toLowerCase() == endWith.toLowerCase()) {
        return true;
    }
    else {
        return false;
    }
};

//限制用户只能输入数字
function limitInputNum() {
    var key = window.event.keyCode;
    if (!(key > 47 && key < 59) && !(key > 95 && key < 106) && !(key > 34 && key < 41) && key != 46 && key != 8)
        window.event.returnValue = false;
}


